Package org.firebirdsql.gds.ng

## Enum WireCrypt

- java.lang.Object
- - java.lang.Enum<WireCrypt>
  - - org.firebirdsql.gds.ng.WireCrypt

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<WireCrypt>`

      public enum WireCrypt
      extends java.lang.Enum<WireCrypt>

  Author:
    Mark Rotteveel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT` | Equivalent to `ENABLED` for wire protocol, but for JNA connections it uses the default of the `firebird.conf` used by the client library.
    `DISABLED` |
    `ENABLED` |
    `REQUIRED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static WireCrypt` | `fromString​(java.lang.String name)` | Get the enum value for the provided name, case-insensitive.
    `int` | `getWireProtocolCryptLevel()` |
    `static WireCrypt` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static WireCrypt[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUIRED

          public static final WireCrypt REQUIRED

    - #### ENABLED

          public static final WireCrypt ENABLED

    - #### DISABLED

          public static final WireCrypt DISABLED

    - #### DEFAULT

          public static final WireCrypt DEFAULT

      Equivalent to `ENABLED` for wire protocol, but for JNA connections it uses the default of the `firebird.conf` used by the client library.

  - ### Method Detail

    - #### values

          public static WireCrypt[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WireCrypt c : WireCrypt.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WireCrypt valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getWireProtocolCryptLevel

          public int getWireProtocolCryptLevel()

      Returns:
        Encryption level value for the wire protocol.

    - #### fromString

          public static WireCrypt fromString​(java.lang.String name)
                                      throws java.lang.IllegalArgumentException

      Get the enum value for the provided name, case-insensitive.

      Works like `valueOf(String)`, except `null` will return `DEFAULT` and values are handled case-insensitively.

      Parameters:
        `name` - String name
      Returns:
        Enum name for the name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name